=== nailgun/requirements.txt ===
Babel!=2.3.0,!=2.3.1,!=2.3.2,!=2.3.3,>=1.3
Jinja2>=2.7
Mako>=0.9.1
MarkupSafe>=0.18
PyYAML>=3.1.0
alembic>=0.8.0
amqplib>=1.0.2
anyjson>=0.3.3
decorator>=3.4.0
fysom>=1.0.11
iso8601>=0.1.9
jsonschema>=2.3.0,<3.0.0,!=2.5.0
kombu>=3.0.16
netaddr>=0.7.12,!=0.7.16
oslo.config>=2.3.0
oslo.serialization>=1.4.0
SQLAlchemy>=0.9.9,<1.1.0
# oslo.db has no upper bound for sqlalchemy-migrate, and latest
# sqlalchemy-migrate requires conflicting version of pbr.
sqlalchemy-migrate>=0.9.6
oslo.db>2.4.1
ply>=3.4
psycopg2>=2.5.1
pycrypto>=2.6.1
requests>=2.5.2,!=2.8.0,!=2.9.0
simplejson>=3.3.0
six>=1.9.0
urllib3>=1.8.3
web.py>=0.37
wsgilog>=0.3
wsgiref>=0.1.2
keystonemiddleware>=2.0.0,!=2.4.0
# we might still need keystone command
python-keystoneclient>=1.6.0,!=1.8.0
python-novaclient>=2.28.1,!=2.33.0
python-cinderclient>=1.3.1
networkx>=1.10
pydot-ng>=1.0.0
oslo.utils>2.0.0,!=2.6.0
# NOTE(prmtl): not all packages has correctly
# requirements for stevedore - some of them install
# newest one which case version conflicts
# See: https://bugs.launchpad.net/fuel/+bug/1481212
stevedore>=1.5.0
# NOTE(akscram): pinned until 18.6.2 because the installation in
# the editable mode is broken
# See: https://bugs.launchpad.net/fuel/+bug/1519727
setuptools<=18.5
yaql>=1.0.0
