=== debian/changelog ===
fuel-web (9.0+dfsg1-4) unstable; urgency=medium

  * Cleans /var/log/nailgun on purge (Closes: #827379).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jun 2016 10:05:00 +0200

fuel-web (9.0+dfsg1-3) unstable; urgency=medium

  [ Thomas Goirand ]
  * Create /etc/fuel/fuel-uuid in postinst.

  [ Ondřej Nový ]
  * Removed dependency to libapache2-mod-uwsgi and uwsgi - it's not needed
    (Closes: #825351)
  * Fixed typo in nailgun-common.postinst.in

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jun 2016 06:46:08 +0000

fuel-web (9.0+dfsg1-2) unstable; urgency=medium

  * Fixed -s /bin/sh when calling db_sync and in fuel-reset-db.
  * No contrib and non-free in the security repo.
  * Fixed firmware package names.
  * Fixed admin network gateway.
  * Added Depends: apache2 in fuel-web-apache (Closes: #825173).

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 May 2016 13:40:00 +0200

fuel-web (9.0+dfsg1-1) unstable; urgency=medium

  * Initial release. (Closes: #814407)

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 May 2016 07:44:15 +0000
