=== debian/control ===
Source: fuel-web
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 39~),
               python-all,
               python-setuptools (>= 0.7.0),
               python-sphinx,
Build-Depends-Indep: locales-all | language-pack-en,
                     postgresql,
                     postgresql-client,
                     postgresql-server-dev-all,
                     psmisc,
                     python-amqplib (>= 1.0.2),
                     python-anyjson (>= 0.3.3),
                     python-babel,
                     python-crypto,
                     python-decorator (>= 3.4.0),
                     python-fixtures,
                     python-fysom (>= 1.0.11),
                     python-hacking,
                     python-iso8601,
                     python-jinja2 (>= 2.7),
                     python-jsonschema,
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 2.0.0),
                     python-kombu (>= 3.0.16),
                     python-mako (>= 0.9.1),
                     python-markupsafe,
                     python-mock (>= 1.0.1),
                     python-netaddr (>= 0.7.10),
                     python-networkx (>= 1.10),
                     python-nose,
                     python-nose-timer,
                     python-nose2,
                     python-novaclient (>= 2:2.28.1),
                     python-oslo.config (>= 1:1.2.1),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 2.0.0),
                     python-ply,
                     python-psycopg2 (>= 2.5.1),
                     python-pydot-ng (>= 1.0.0),
                     python-requests (>= 2.5.2),
                     python-shotgun (>= 0.1.0),
                     python-simplejson,
                     python-sphinxcontrib.actdiag (>= 0.6.0),
                     python-sphinxcontrib.blockdiag (>= 1.3.0),
                     python-sphinxcontrib.nwdiag (>= 0.7.0),
                     python-sphinxcontrib.plantuml,
                     python-sphinxcontrib.seqdiag (>= 0.6.0),
                     python-sqlalchemy (>= 0.9.9),
                     python-stevedore (>= 1.5.0),
                     python-unittest2,
                     python-urllib3 (>= 1.8.3),
                     python-webpy,
                     python-webtest,
                     python-wsgilog (>= 0.3),
                     python-yaml (>= 3.10),
                     rst2pdf,
Standards-Version: 3.9.8
Homepage: https://github.com/openstack/fuel-web
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/fuel-web.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/fuel-web.git

Package: python-nailgun
Architecture: all
Section: python
Depends: alembic (>= 0.8.0),
         python-amqplib (>= 1.0.2),
         python-anyjson (>= 0.3.3),
         python-babel,
         python-cinderclient (>= 1.3.1),
         python-crypto,
         python-decorator (>= 3.4.0),
         python-fysom (>= 1.0.11),
         python-iso8601,
         python-jinja2 (>= 2.7),
         python-jsonschema,
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 2.0.0),
         python-kombu (>= 3.0.16),
         python-mako (>= 0.9.1),
         python-markupsafe,
         python-migrate (>= 0.9.6),
         python-netaddr (>= 0.7.12),
         python-networkx (>= 1.10),
         python-novaclient (>= 2:2.28.1),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 2.0.0),
         python-ply,
         python-psycopg2 (>= 2.5.1),
         python-pydot-ng (>= 1.0.0),
         python-requests (>= 2.5.2),
         python-shotgun (>= 0.1.0),
         python-simplejson,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.9),
         python-stevedore (>= 1.5.0),
         python-urllib3 (>= 1.8.3),
         python-webpy,
         python-wsgilog (>= 0.3),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Fuel deployment server - Python lib
 Fuel is an open source deployment and management tool for OpenStack. Developed
 as an OpenStack community effort, it provides an intuitive, GUI-driven
 experience for deployment and management of OpenStack, related community
 projects and plug-ins.
 .
 Fuel brings consumer-grade simplicity to streamline and accelerate the
 otherwise time-consuming, often complex, and error-prone process of deploying,
 testing and maintaining various configuration flavors of OpenStack at scale.
 Unlike other platform-specific deployment or management utilities, Fuel is an
 upstream OpenStack project that focuses on automating the deployment and
 testing of OpenStack and a range of third-party options, so it’s not
 compromised by hard bundling or vendor lock-in.
 .
 Nailgun is the core part of a Fuel master node server. It consists of a REST
 API server (nailgun-api), and a web interface (nailgun-web).
 .
 This package provides the Python 2.x modules and libraries.

Package: fuel-web-apache
Architecture: all
Depends: apache2 (>= 2.4),
         ${misc:Depends},
Description: OpenStack Fuel deployment server - Apache config
 Fuel is an open source deployment and management tool for OpenStack. Developed
 as an OpenStack community effort, it provides an intuitive, GUI-driven
 experience for deployment and management of OpenStack, related community
 projects and plug-ins.
 .
 Fuel brings consumer-grade simplicity to streamline and accelerate the
 otherwise time-consuming, often complex, and error-prone process of deploying,
 testing and maintaining various configuration flavors of OpenStack at scale.
 Unlike other platform-specific deployment or management utilities, Fuel is an
 upstream OpenStack project that focuses on automating the deployment and
 testing of OpenStack and a range of third-party options, so it’s not
 compromised by hard bundling or vendor lock-in.
 .
 Nailgun is the core part of a Fuel master node server. It consists of a REST
 API server (nailgun-api), and a web interface (nailgun-web).
 .
 This package provides the Apache configuration.

Package: nailgun-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         astute,
         fuel-library,
         python-nailgun (= ${binary:Version}),
         uuid-runtime,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Fuel deployment server - common files
 Fuel is an open source deployment and management tool for OpenStack. Developed
 as an OpenStack community effort, it provides an intuitive, GUI-driven
 experience for deployment and management of OpenStack, related community
 projects and plug-ins.
 .
 Fuel brings consumer-grade simplicity to streamline and accelerate the
 otherwise time-consuming, often complex, and error-prone process of deploying,
 testing and maintaining various configuration flavors of OpenStack at scale.
 Unlike other platform-specific deployment or management utilities, Fuel is an
 upstream OpenStack project that focuses on automating the deployment and
 testing of OpenStack and a range of third-party options, so it’s not
 compromised by hard bundling or vendor lock-in.
 .
 Nailgun is the core part of a Fuel master node server. It consists of a REST
 API server (nailgun-api), and a web interface (nailgun-web).
 .
 This package provides the common files.

Package: nailgun-api
Architecture: all
Depends: nailgun-common (= ${binary:Version}),
         python-nailgun (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Fuel deployment server - REST API server
 Fuel is an open source deployment and management tool for OpenStack. Developed
 as an OpenStack community effort, it provides an intuitive, GUI-driven
 experience for deployment and management of OpenStack, related community
 projects and plug-ins.
 .
 Fuel brings consumer-grade simplicity to streamline and accelerate the
 otherwise time-consuming, often complex, and error-prone process of deploying,
 testing and maintaining various configuration flavors of OpenStack at scale.
 Unlike other platform-specific deployment or management utilities, Fuel is an
 upstream OpenStack project that focuses on automating the deployment and
 testing of OpenStack and a range of third-party options, so it’s not
 compromised by hard bundling or vendor lock-in.
 .
 Nailgun is the core part of a Fuel master node server. It consists of a REST
 API server (nailgun-api), and a web interface (nailgun-web).
 .
 This package provides the nailgun REST API server.

Package: nailgun-assassin
Architecture: all
Depends: nailgun-common (= ${binary:Version}),
         python-nailgun (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Fuel deployment server - assassin server
 Fuel is an open source deployment and management tool for OpenStack. Developed
 as an OpenStack community effort, it provides an intuitive, GUI-driven
 experience for deployment and management of OpenStack, related community
 projects and plug-ins.
 .
 Fuel brings consumer-grade simplicity to streamline and accelerate the
 otherwise time-consuming, often complex, and error-prone process of deploying,
 testing and maintaining various configuration flavors of OpenStack at scale.
 Unlike other platform-specific deployment or management utilities, Fuel is an
 upstream OpenStack project that focuses on automating the deployment and
 testing of OpenStack and a range of third-party options, so it’s not
 compromised by hard bundling or vendor lock-in.
 .
 Nailgun is the core part of a Fuel master node server. It consists of a REST
 API server (nailgun-api), and a web interface (nailgun-web).
 .
 This package provides the assassin daemon. It periodically checks online nodes
 and marks them offline if they weren't recently found.

Package: nailgun-reciever
Architecture: all
Depends: nailgun-common (= ${binary:Version}),
         python-nailgun (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Fuel deployment server - reciever
 Fuel is an open source deployment and management tool for OpenStack. Developed
 as an OpenStack community effort, it provides an intuitive, GUI-driven
 experience for deployment and management of OpenStack, related community
 projects and plug-ins.
 .
 Fuel brings consumer-grade simplicity to streamline and accelerate the
 otherwise time-consuming, often complex, and error-prone process of deploying,
 testing and maintaining various configuration flavors of OpenStack at scale.
 Unlike other platform-specific deployment or management utilities, Fuel is an
 upstream OpenStack project that focuses on automating the deployment and
 testing of OpenStack and a range of third-party options, so it’s not
 compromised by hard bundling or vendor lock-in.
 .
 Nailgun is the core part of a Fuel master node server. It consists of a REST
 API server (nailgun-api), and a web interface (nailgun-web).
 .
 This package provides the reciever daemon. It consumes rabbitmq tasks and
 handles periodic or asynchronous jobs.

Package: fencing-agent
Architecture: all
Depends: ohai,
         ruby | ruby-interpreter,
         ruby-cstruct,
         ruby-httpclient,
         ruby-json,
         ruby-rethtool,
         ${misc:Depends},
Description: OpenStack Fuel deployment server - Fencing agent
 Fuel is an open source deployment and management tool for OpenStack. Developed
 as an OpenStack community effort, it provides an intuitive, GUI-driven
