=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd

override_dh_auto_clean:
	echo "Do nothing"

override_dh_auto_install:
	set -e ; set -x ; cd nailgun ; for i in $(PYTHONS) ; do \
		python$$i setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/tmp ; \
	done
	# This overrides the normal distributed openstack.yaml from upstream,
	# adding Debian support to it.
	#cp debian/openstack.yaml $(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages/nailgun/fixtures
	# This could be used instead to do only Debian
	#cp debian/debian.yaml $(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages/nailgun/fixtures


override_dh_clean:
	rm -rf  build
	dh_clean -O--buildsystem=python_distutils
	rm -f debian/nailgun-common.postinst
	rm -f debian/*.service debian/*.init debian/*.upstart

#       set -e && for i in $(PYTHONS) $(PYTHON3S) ; do \

override_dh_auto_build:
	#dh_auto_build -O--buildsystem=python_distutils
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nailgun-common.postinst

override_dh_install:
	dh_install -O--buildsystem=python_distutils --fail-missing

	# Why nailgun installs it there?
	rm $(CURDIR)/debian/python-nailgun/usr/lib/python2.7/dist-packages/nailgun/settings.yaml

	# Rename the daemons with a non-generic name
	mv $(CURDIR)/debian/nailgun-common/usr/bin/receiverd $(CURDIR)/debian/nailgun-common/usr/bin/nailgun-recieverd
	mv $(CURDIR)/debian/nailgun-common/usr/bin/assassind $(CURDIR)/debian/nailgun-common/usr/bin/nailgun-assassind

	# Fix the settings.yaml with proper defaults
	sed -i "s#STATIC_DIR: \"/var/tmp/nailgun_static\"#STATIC_DIR: \"/usr/share/nailgun/static\"#" $(CURDIR)/debian/nailgun-common/etc/nailgun/settings.yaml
	sed -i 's|^  host: "localhost"|  host: "/var/run/postgresql"|' $(CURDIR)/debian/nailgun-common/etc/nailgun/settings.yaml
	sed -i 's|LISTEN_PORT: "8000"|LISTEN_PORT: "8001"|' $(CURDIR)/debian/nailgun-common/etc/nailgun/settings.yaml
	sed -i 's|DEVELOPMENT:.*|DEVELOPMENT: 0|' $(CURDIR)/debian/nailgun-common/etc/nailgun/settings.yaml
	mkdir -p $(CURDIR)/debian/nailgun-common/etc

	# Seems like nailgun wants that... FOOL !
	echo "9.0" >$(CURDIR)/debian/nailgun-common/etc/fuel_release 
	echo "mitaka-9.0" >$(CURDIR)/debian/nailgun-common/etc/fuel_openstack_version 

	install -D -m 0775 bin/fencing-agent.rb $(CURDIR)/debian/fencing-agent/usr/bin/nailgun-fencing-agent

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "Not running unit tests as it's currently still buggy."
	#chmod +x debian/run_tests.sh debian/start_pg.sh
	#./debian/run_tests.sh || true
endif

override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installgsettings:
